package com.example.exam_kakaohome_badge;

import android.app.*;
import android.content.*;
import android.os.*;
import android.view.*;
import android.view.View.OnClickListener;
import android.widget.*;

/**
 * Copyright 2013 Kakao Crop. All rights reserved.
 * 
 * @author KakaoHome Team
 */

public class MainActivity extends Activity {
	
	public  static final String KAKAO_HOME_BADGE = "com.kakao.home.action.KAKAO_HOME_BADGE";
	
	private EditText etInput;
	private Button btShow;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		etInput = (EditText)findViewById(R.id.editText_input);
		btShow = (Button)findViewById(R.id.button_show);
		btShow.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				send();
			}
		});
	}
	
	private void send(){
		
		int badgeCount  = 0;

		try{
			badgeCount = Integer.parseInt(etInput.getText().toString());
		}catch(NumberFormatException e){
			Toast.makeText(getApplicationContext(), "Not Number", Toast.LENGTH_SHORT).show();
			return;
		}
		
		Intent intent = new Intent(MainActivity.KAKAO_HOME_BADGE);
		intent.putExtra("PackageName", getPackageName());
		intent.putExtra("ClassName", MainActivity.class.getName());
		intent.putExtra("BadgeCount", badgeCount);
		
		sendBroadcast(intent);
	}

}
